Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class EMOHMDF106PushDecisionRequest

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.EMOHMDF106PushDecisionRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class EMOHMDF106PushDecisionRequest

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MessageMetadata" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MessageMetadataType"/>
             <element name="PushDecision" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}PushDecisionRequestType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`EMOHMDF106PushDecisionRequest()`

Method Summary
`MessageMetadataType` | `getMessageMetadata()` Gets the value of the messageMetadata property.
`PushDecisionRequestType` | `getPushDecision()` Gets the value of the pushDecision property.
`void` | `setMessageMetadata(MessageMetadataType value)` Sets the value of the messageMetadata property.
`void` | `setPushDecision(PushDecisionRequestType value)` Sets the value of the pushDecision property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMOHMDF106PushDecisionRequest

    public EMOHMDF106PushDecisionRequest()

Method Detail

### getMessageMetadata

    public MessageMetadataType getMessageMetadata()

  Gets the value of the messageMetadata property.

  Returns:
    possible object is `MessageMetadataType`

### setMessageMetadata

    public void setMessageMetadata(MessageMetadataType value)

  Sets the value of the messageMetadata property.

  Parameters:
    `value` - allowed object is `MessageMetadataType`

### getPushDecision

    public PushDecisionRequestType getPushDecision()

  Gets the value of the pushDecision property.

  Returns:
    possible object is `PushDecisionRequestType`

### setPushDecision

    public void setPushDecision(PushDecisionRequestType value)

  Sets the value of the pushDecision property.

  Parameters:
    `value` - allowed object is `PushDecisionRequestType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.